#!/bin/ksh

#
# jvmGC (dim) v.1.0
#
# Permanent or on-demand JVM GC/MEM usage monitoring
# dim_STAT Plug-in
#
# Usage:
# 1.) jvmGC using $LOG file for data input (you may change name & permissions
#     according your needs)
#
# 2.) $ jvmGC.sh TimeInterval
#
# 3.) add "-verbose:gc" option to java in your starting application script
#     and redirect output into application log file (for ex. app.log)
#
# 4.) once you want to monitor your JVM:
#     $ tail -f app.log | /etc/STATsrv/bin/grepX GC >> $LOG
#
# 5.) observe jvmGC output & have fun! :))
#
# Rgds,
# -Dimitri
#

LANG=C
export LANG
LOG=/var/tmp/jvm.log

touch $LOG; chmod 0666 $LOG
cd /etc/STATsrv/bin
exec /etc/STATsrv/bin/WebX /etc/STATsrv/bin/x.jvmGC -logGC $LOG -Timeout $1
